This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 192158 - utrac: does not honor $RPM_OPT_FLAGS, useless debuginfo package
utrac: does not honor $RPM_OPT_FLAGS, useless debuginfo package
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: utrac (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alain Portal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-17 18:53 EDT by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-18 04:00:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-05-17 18:53:38 EDT
utrac doesn't honor $RPM_OPT_FLAGS, which means it's built without any compiler
provided security features and other distro wide CFLAGS.

Also, the debuginfo package is useless because the binary is explicitly stripped.

One way to fix these issues is to add these to %prep:
sed -i -e 's/^\(CFLAGS.*\)/\1 $(RPM_OPT_FLAGS)/' Makefile
sed -i -e '/^\s*strip /d' Makefile
Comment 1 Alain Portal 2006-05-18 04:00:36 EDT
Fixed. Thanks for report.

Note You need to log in before you can comment on or make changes to this bug.